## osg-certificates 1.134+dfsg+~1.134+~24178.045bd88

=== Makefile ===
sources = isrgrootx1.signing_policy \
          isrg-root-x2.signing_policy \
          lets-encrypt-r3.signing_policy \
          lets-encrypt-r4.signing_policy \
          lets-encrypt-e5.signing_policy \
          lets-encrypt-e6.signing_policy \
          lets-encrypt-r10.signing_policy \
          lets-encrypt-r11.signing_policy \
          lets-encrypt-e7.signing_policy \
          lets-encrypt-e8.signing_policy \
          lets-encrypt-e9.signing_policy \
          lets-encrypt-r12.signing_policy \
          lets-encrypt-r13.signing_policy \
          lets-encrypt-r14.signing_policy

targets = 4042bcee.signing_policy \
          6187b673.signing_policy \
          0b9bc432.signing_policy 8794b4e3.signing_policy \
          8d33f237.signing_policy dec71a0b.signing_policy \
          9f194ecd.signing_policy dd7d39a7.signing_policy \
          462422cf.signing_policy bae39ced.signing_policy \
          9aad238c.signing_policy f7679d31.signing_policy \
          aa578057.signing_policy 09e5bea5.signing_policy \
          31dfb39d.signing_policy 4cdd6f92.signing_policy \
          67561239.signing_policy 9f308661.signing_policy \
          507754fb.signing_policy 3e7e99ec.signing_policy \
          d0a3aef2.signing_policy 35b815f3.signing_policy \
          aa76c4ab.signing_policy 93120419.signing_policy \
          4260b799.signing_policy 27794265.signing_policy \
          137e9a94.signing_policy 36f5bce7.signing_policy \
          4042bcee.0 \
          6187b673.0 8d33f237.0 \
          9f194ecd.0 \
          dec71a0b.0 dd7d39a7.0 \
          8d33f237.0 dec71a0b.0 \
          462422cf.0 bae39ced.0 \
          9aad238c.0 f7679d31.0 \
          aa578057.0 09e5bea5.0 \
          31dfb39d.0 4cdd6f92.0 \
          67561239.0 9f308661.0 \
          507754fb.0 3e7e99ec.0 \
          d0a3aef2.0 35b815f3.0 \
          aa76c4ab.0 93120419.0 \
          4260b799.0 27794265.0 \
          137e9a94.0 36f5bce7.0 \
          isrgrootx1.pem \
          isrg-root-x2.pem \
          lets-encrypt-r3.pem lets-encrypt-r4.pem \
          lets-encrypt-e5.pem \
          lets-encrypt-e6.pem \
          lets-encrypt-r10.pem \
          lets-encrypt-r11.pem \
          lets-encrypt-e7.pem \
          lets-encrypt-e8.pem \
          lets-encrypt-e9.pem \
          lets-encrypt-r12.pem \
          lets-encrypt-r13.pem \
          lets-encrypt-r14.pem

installfiles = $(targets) $(sources)

installdir = /etc/grid-security/certificates

GET = curl -O
GET_WITH_NAME = curl -o
INSTALL = install
LINK = ln -s

all : $(targets)

install : all
	$(INSTALL) $(installfiles) $(DESTDIR)$(installdir)

clean :
	$(RM) $(targets) *.pem

check : all
	openssl verify -CApath . isrgrootx1.pem
	openssl verify -CApath . isrg-root-x2.pem
	openssl verify -CApath . lets-encrypt-r3.pem
	openssl verify -CApath . lets-encrypt-r4.pem
	openssl verify -CApath . lets-encrypt-e5.pem
	openssl verify -CApath . lets-encrypt-e6.pem
	openssl verify -CApath . lets-encrypt-r10.pem
	openssl verify -CApath . lets-encrypt-r11.pem
	openssl verify -CApath . lets-encrypt-e7.pem
	openssl verify -CApath . lets-encrypt-e8.pem
	openssl verify -CApath . lets-encrypt-e9.pem
	openssl verify -CApath . lets-encrypt-r12.pem
	openssl verify -CApath . lets-encrypt-r13.pem
	openssl verify -CApath . lets-encrypt-r14.pem

4042bcee.signing_policy : isrgrootx1.signing_policy
	$(LINK) isrgrootx1.signing_policy 4042bcee.signing_policy
6187b673.signing_policy : isrgrootx1.signing_policy
	$(LINK) isrgrootx1.signing_policy 6187b673.signing_policy

# make special variables: $< is the first prereq; $@ is the target

0b9bc432.signing_policy 8794b4e3.signing_policy : isrg-root-x2.signing_policy
	$(LINK) $< $@
8d33f237.signing_policy : lets-encrypt-r3.signing_policy
	$(LINK) lets-encrypt-r3.signing_policy 8d33f237.signing_policy
9f194ecd.signing_policy : lets-encrypt-r4.signing_policy
	$(LINK) lets-encrypt-r4.signing_policy 9f194ecd.signing_policy
dec71a0b.signing_policy : lets-encrypt-r3.signing_policy
	$(LINK) lets-encrypt-r3.signing_policy dec71a0b.signing_policy
dd7d39a7.signing_policy : lets-encrypt-r4.signing_policy
	$(LINK) lets-encrypt-r4.signing_policy dd7d39a7.signing_policy
462422cf.signing_policy bae39ced.signing_policy : lets-encrypt-e5.signing_policy
	$(LINK) $< $@
9aad238c.signing_policy f7679d31.signing_policy : lets-encrypt-e6.signing_policy
	$(LINK) $< $@
aa578057.signing_policy 09e5bea5.signing_policy : lets-encrypt-r10.signing_policy
	$(LINK) $< $@
31dfb39d.signing_policy 4cdd6f92.signing_policy : lets-encrypt-r11.signing_policy
	$(LINK) $< $@
67561239.signing_policy 9f308661.signing_policy : lets-encrypt-e7.signing_policy
	$(LINK) $< $@
507754fb.signing_policy 3e7e99ec.signing_policy : lets-encrypt-e8.signing_policy
	$(LINK) $< $@
d0a3aef2.signing_policy 35b815f3.signing_policy : lets-encrypt-e9.signing_policy
	$(LINK) $< $@
aa76c4ab.signing_policy 93120419.signing_policy : lets-encrypt-r12.signing_policy
	$(LINK) $< $@
4260b799.signing_policy 27794265.signing_policy : lets-encrypt-r13.signing_policy
	$(LINK) $< $@
137e9a94.signing_policy 36f5bce7.signing_policy : lets-encrypt-r14.signing_policy
	$(LINK) $< $@

4042bcee.0 : isrgrootx1.pem
	$(LINK) isrgrootx1.pem 4042bcee.0
6187b673.0 : isrgrootx1.pem
	$(LINK) isrgrootx1.pem 6187b673.0
0b9bc432.0 8794b4e3.0 : isrg-root-x2.pem
	$(LINK) $< $@
8d33f237.0 : lets-encrypt-r3.pem
	$(LINK) lets-encrypt-r3.pem 8d33f237.0
9f194ecd.0 : lets-encrypt-r4.pem
	$(LINK) lets-encrypt-r4.pem 9f194ecd.0
dec71a0b.0 : lets-encrypt-r3.pem
	$(LINK) lets-encrypt-r3.pem dec71a0b.0
dd7d39a7.0 : lets-encrypt-r4.pem
	$(LINK) lets-encrypt-r4.pem dd7d39a7.0
462422cf.0 bae39ced.0 : lets-encrypt-e5.pem
	$(LINK) $< $@
9aad238c.0 f7679d31.0 : lets-encrypt-e6.pem
	$(LINK) $< $@
aa578057.0 09e5bea5.0 : lets-encrypt-r10.pem
	$(LINK) $< $@
31dfb39d.0 4cdd6f92.0 : lets-encrypt-r11.pem
	$(LINK) $< $@
67561239.0 9f308661.0 : lets-encrypt-e7.pem
	$(LINK) $< $@
507754fb.0 3e7e99ec.0 : lets-encrypt-e8.pem
	$(LINK) $< $@
d0a3aef2.0 35b815f3.0 : lets-encrypt-e9.pem
	$(LINK) $< $@
aa76c4ab.0 93120419.0 : lets-encrypt-r12.pem
	$(LINK) $< $@
4260b799.0 27794265.0 : lets-encrypt-r13.pem
	$(LINK) $< $@
137e9a94.0 36f5bce7.0 : lets-encrypt-r14.pem
	$(LINK) $< $@


isrgrootx1.pem :
	$(GET) https://letsencrypt.org/certs/isrgrootx1.pem
isrg-root-x2.pem :
	$(GET) https://letsencrypt.org/certs/isrg-root-x2.pem
lets-encrypt-r3.pem :
	$(GET) https://letsencrypt.org/certs/lets-encrypt-r3.pem
lets-encrypt-r4.pem :
	$(GET) https://letsencrypt.org/certs/lets-encrypt-r4.pem
lets-encrypt-e5.pem :
	$(GET_WITH_NAME) $@ https://letsencrypt.org/certs/2024/e5.pem
lets-encrypt-e6.pem :
	$(GET_WITH_NAME) $@ https://letsencrypt.org/certs/2024/e6.pem
lets-encrypt-r10.pem :
	$(GET_WITH_NAME) $@ https://letsencrypt.org/certs/2024/r10.pem
lets-encrypt-r11.pem :
	$(GET_WITH_NAME) $@ https://letsencrypt.org/certs/2024/r11.pem
lets-encrypt-e7.pem :
	$(GET_WITH_NAME) $@ https://letsencrypt.org/certs/2024/e7.pem
lets-encrypt-e8.pem :
	$(GET_WITH_NAME) $@ https://letsencrypt.org/certs/2024/e8.pem
lets-encrypt-e9.pem :
	$(GET_WITH_NAME) $@ https://letsencrypt.org/certs/2024/e9.pem
lets-encrypt-r12.pem :
	$(GET_WITH_NAME) $@ https://letsencrypt.org/certs/2024/r12.pem
lets-encrypt-r13.pem :
	$(GET_WITH_NAME) $@ https://letsencrypt.org/certs/2024/r13.pem
lets-encrypt-r14.pem :
	$(GET_WITH_NAME) $@ https://letsencrypt.org/certs/2024/r14.pem

=== debian/changelog ===
osg-certificates (1.134+dfsg+~1.134+~24178.045bd88-3) sid; urgency=medium

  * d/r: refactor the build rules
  * d/p: verify CA paths at source code packaging time

 -- Milan Kupcevic <milan@debian.org>  Wed, 16 Apr 2025 00:03:31 -0400

osg-certificates (1.134+dfsg+~1.134+~24178.045bd88-2) sid; urgency=medium

  * add missing ISRG Root X2 hash targets patch description

 -- Milan Kupcevic <milan@debian.org>  Sat, 12 Apr 2025 03:03:54 -0400

osg-certificates (1.134+dfsg+~1.134+~24178.045bd88-1) sid; urgency=medium

  * initial release. (closes: #1101667)

 -- Milan Kupcevic <milan@debian.org>  Sun, 30 Mar 2025 00:23:01 -0400

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

DEBVER := $(shell dpkg-parsechangelog -S Version)

%:
	dh $@

override_dh_auto_configure:
	cd igtf-bundle && ./configure \
	  --prefix="$(CURDIR)/debian/tmp/usr/share/osg-ca-certs" \
	  --with-install="install -m 644" \
	  --with-profile=classic \
	  --with-profile=mics \
	  --with-profile=slcs \
	  --with-profile=iota
	cd letsencrypt-certificates && ls | \
	  xargs -n 1 cp -d -r -v -t ../letsencrypt-ca/

override_dh_auto_build:
	cd igtf-bundle && make
	cd letsencrypt-ca && make

override_dh_auto_test:
	cd letsencrypt-ca && make check

override_dh_auto_install:
	cd igtf-bundle && make install
	cd letsencrypt-ca && \
	  cp -d -v *.pem \
	  "$(CURDIR)/debian/tmp/usr/share/osg-ca-certs"
	cd letsencrypt-ca && \
	  cp -d -v *.[0-9] *.signing_policy *.crl_url \
	  "$(CURDIR)/debian/tmp/usr/share/osg-ca-certs"
	cd debian/tmp/usr/share/osg-ca-certs && \
	  sha256sum *.[0-9] *.pem \
	  > "$(CURDIR)/debian/tmp/cacerts_sha256sum.txt"
	cd debian/tmp/usr/share/osg-ca-certs && \
	  ls | \
	  { \
	    while read name; do \
	      if [ -e "$$name" ]; then \
	        file_name="`readlink \"$$name\"`" || true ; \
	        if [ -n "$$file_name" ]; then \
	          echo "$$name/$${file_name##*/}" ; \
	        else  \
	          echo "$$name/$$name" ; \
	        fi ; \
	      else  \
	        echo "$$0: error: missing \`$$name'" >&2 ; \
	        exit 1 ; \
	      fi ; \
	    done \
	  } \
	  | LC_ALL=C sort \
	  > "$(CURDIR)/debian/tmp/cert-files-$(DEBVER)"

override_dh_installdeb:
	dh_installdeb \
	  --define CERTSDIR="/etc/grid-security/certificates" \
	  --define PKGHOME="/usr/share/osg-ca-certs" \
	  --define CERTFILES="cert-files-$(DEBVER)"

override_dh_auto_clean:
	cd letsencrypt-ca && make clean
	cd letsencrypt-certificates && ls | \
	  xargs -II rm -v -r -f ../letsencrypt-ca/I
	rm -v -f igtf-bundle/Makefile

=== debian/tests/control ===
Tests: osg-ca-certs-test
Depends:
  osg-ca-certs,
  openssl

## osg-certificates 1.137+dfsg+~1.137+~25258.4d4352d

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,5 @@
 sources = isrgrootx1.signing_policy \
           isrg-root-x2.signing_policy \
-          lets-encrypt-r3.signing_policy \
-          lets-encrypt-r4.signing_policy \
           lets-encrypt-e5.signing_policy \
           lets-encrypt-e6.signing_policy \
           lets-encrypt-r10.signing_policy \
@@ -16,8 +14,6 @@
 targets = 4042bcee.signing_policy \
           6187b673.signing_policy \
           0b9bc432.signing_policy 8794b4e3.signing_policy \
-          8d33f237.signing_policy dec71a0b.signing_policy \
-          9f194ecd.signing_policy dd7d39a7.signing_policy \
           462422cf.signing_policy bae39ced.signing_policy \
           9aad238c.signing_policy f7679d31.signing_policy \
           aa578057.signing_policy 09e5bea5.signing_policy \
@@ -29,10 +25,7 @@
           4260b799.signing_policy 27794265.signing_policy \
           137e9a94.signing_policy 36f5bce7.signing_policy \
           4042bcee.0 \
-          6187b673.0 8d33f237.0 \
-          9f194ecd.0 \
-          dec71a0b.0 dd7d39a7.0 \
-          8d33f237.0 dec71a0b.0 \
+          6187b673.0 \
           462422cf.0 bae39ced.0 \
           9aad238c.0 f7679d31.0 \
           aa578057.0 09e5bea5.0 \
@@ -45,7 +38,6 @@
           137e9a94.0 36f5bce7.0 \
           isrgrootx1.pem \
           isrg-root-x2.pem \
-          lets-encrypt-r3.pem lets-encrypt-r4.pem \
           lets-encrypt-e5.pem \
           lets-encrypt-e6.pem \
           lets-encrypt-r10.pem \
@@ -77,8 +69,6 @@
 check : all
 	openssl verify -CApath . isrgrootx1.pem
 	openssl verify -CApath . isrg-root-x2.pem
-	openssl verify -CApath . lets-encrypt-r3.pem
-	openssl verify -CApath . lets-encrypt-r4.pem
 	openssl verify -CApath . lets-encrypt-e5.pem
 	openssl verify -CApath . lets-encrypt-e6.pem
 	openssl verify -CApath . lets-encrypt-r10.pem
@@ -99,14 +89,6 @@
 
 0b9bc432.signing_policy 8794b4e3.signing_policy : isrg-root-x2.signing_policy
 	$(LINK) $< $@
-8d33f237.signing_policy : lets-encrypt-r3.signing_policy
-	$(LINK) lets-encrypt-r3.signing_policy 8d33f237.signing_policy
-9f194ecd.signing_policy : lets-encrypt-r4.signing_policy
-	$(LINK) lets-encrypt-r4.signing_policy 9f194ecd.signing_policy
-dec71a0b.signing_policy : lets-encrypt-r3.signing_policy
-	$(LINK) lets-encrypt-r3.signing_policy dec71a0b.signing_policy
-dd7d39a7.signing_policy : lets-encrypt-r4.signing_policy
-	$(LINK) lets-encrypt-r4.signing_policy dd7d39a7.signing_policy
 462422cf.signing_policy bae39ced.signing_policy : lets-encrypt-e5.signing_policy
 	$(LINK) $< $@
 9aad238c.signing_policy f7679d31.signing_policy : lets-encrypt-e6.signing_policy
@@ -134,14 +116,6 @@
 	$(LINK) isrgrootx1.pem 6187b673.0
 0b9bc432.0 8794b4e3.0 : isrg-root-x2.pem
 	$(LINK) $< $@
-8d33f237.0 : lets-encrypt-r3.pem
-	$(LINK) lets-encrypt-r3.pem 8d33f237.0
-9f194ecd.0 : lets-encrypt-r4.pem
-	$(LINK) lets-encrypt-r4.pem 9f194ecd.0
-dec71a0b.0 : lets-encrypt-r3.pem
-	$(LINK) lets-encrypt-r3.pem dec71a0b.0
-dd7d39a7.0 : lets-encrypt-r4.pem
-	$(LINK) lets-encrypt-r4.pem dd7d39a7.0
 462422cf.0 bae39ced.0 : lets-encrypt-e5.pem
 	$(LINK) $< $@
 9aad238c.0 f7679d31.0 : lets-encrypt-e6.pem
@@ -168,10 +142,6 @@
 	$(GET) https://letsencrypt.org/certs/isrgrootx1.pem
 isrg-root-x2.pem :
 	$(GET) https://letsencrypt.org/certs/isrg-root-x2.pem
-lets-encrypt-r3.pem :
-	$(GET) https://letsencrypt.org/certs/lets-encrypt-r3.pem
-lets-encrypt-r4.pem :
-	$(GET) https://letsencrypt.org/certs/lets-encrypt-r4.pem
 lets-encrypt-e5.pem :
 	$(GET_WITH_NAME) $@ https://letsencrypt.org/certs/2024/e5.pem
 lets-encrypt-e6.pem :

=== debian/changelog ===
osg-certificates (1.137+dfsg+~1.137+~25258.4d4352d-1) sid; urgency=medium

  * new upstream release
  * d/u: new upstream igtf package signing key
  * d/p/verify-at-source-time: update
  * d/p/use-local-pem-files: new
  * d/p/missing-isrg-root-x2-hash: update

 -- Milan Kupcevic <milan@debian.org>  Sun, 28 Sep 2025 22:52:41 -0400

=== debian/control ===
Source: osg-certificates
Section: misc
Priority: optional
Maintainer: Milan Kupcevic <milan@debian.org>
Build-Depends:
  debhelper-compat (= 13),
  openssl
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/osg-certificates.git
Vcs-Browser: https://salsa.debian.org/debian/osg-certificates
Homepage: https://opensciencegrid.org

Package: osg-ca-certs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: openssl
Suggests: fetch-crl
Conflicts:
 igtf-policy-classic,
 igtf-policy-mics,
 igtf-policy-slcs,
 igtf-policy-iota,
 igtf-policy-unaccredited,
 igtf-policy-experimental
Description: OSG CA certificates
 The open science grid certification authority certificates provide
 the public key infrastructure trust roots necessary to secure the
 grid's service integrity.
 .
 This package contains OSG security group CA certificate selection as
 scripted at https://github.com/opensciencegrid/osg-certificates

=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,6 @@
 	  --with-profile=mics \
 	  --with-profile=slcs \
 	  --with-profile=iota
-	cd letsencrypt-certificates && ls | \
-	  xargs -n 1 cp -d -r -v -t ../letsencrypt-ca/
 
 override_dh_auto_build:
 	cd igtf-bundle && make

=== debian/watch ===
version=4

opts="searchmode=plain, \
 compression=gz, \
 repacksuffix=+dfsg, \
 uversionmangle=s/(\d+.\d+).igtf\.\d+\.\d+/$1/;s/-/./, \
 dversionmangle=s/\+dfsg\d*//, \
 filenamemangle=s%v?(\d+\.\d+)\.igtf\.\d+\.\d+%$1%;s%-%.%g;s%v?(\d+\.\d+.*)%osg-certificates-$1.tar.gz%" \
 https://api.github.com/repos/opensciencegrid/osg-certificates/tags?perpage=50 \
 https://api.github.com/repos/opensciencegrid/osg-certificates/tarball/refs/tags/v?@ANY_VERSION@ \
 group

opts="pgpsigurlmangle=s/$/.asc/, \
 compression=gz, \
 component=igtf-bundle" \
 https://dist.eugridpma.info/distribution/igtf/current/ \
 igtf-policy-installation-bundle-(.*)\.tar\.gz \
 group

opts="mode=git, \
 component=letsencrypt-ca, \
 compression=gz, \
 pretty=%cd.%h, \
 date=%y%j" \
 https://github.com/opensciencegrid/letsencrypt-certificates.git \
 HEAD \
 group

## osg-certificates 1.138%2Bdfsg%2B~1.138%2B~25258.4d4352d

=== debian/changelog ===
osg-certificates (1.138+dfsg+~1.138+~25258.4d4352d-1) sid; urgency=medium

  * new upstream release
  * d/control: comply with standards version 4.7.3

 -- Milan Kupcevic <milan@debian.org>  Wed, 28 Jan 2026 01:40:38 -0500

## osg-certificates 1.138+dfsg+~1.138+~25258.4d4352d

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends:
   debhelper-compat (= 13),
   openssl
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/osg-certificates.git
 Vcs-Browser: https://salsa.debian.org/debian/osg-certificates
